Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.uima.collection.impl.cpm.engine
Class CPMChunkTimeoutException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.apache.uima.InternationalizedException
                  org.apache.uima.UIMAException
                      org.apache.uima.resource.ResourceProcessException
                          org.apache.uima.collection.impl.cpm.engine.CPMChunkTimeoutException

All Implemented Interfaces:
  Serializable

    public class CPMChunkTimeoutException

extends ResourceProcessException

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.apache.uima.resource.ResourceProcessException
`REQUIRED_FEATURE_STRUCTURE_MISSING_FROM_CAS, RESOURCE_DATA_NOT_VALID`

Fields inherited from class org.apache.uima.UIMAException
`STANDARD_MESSAGE_CATALOG`

Constructor Summary
`CPMChunkTimeoutException(long aDocumentId, String aThrottleID, String aDocumentURL)`

Method Summary
`long` | `getDocID()`
`String` | `getDocumentURL()`
`String` | `getThrottleID()`

Methods inherited from class org.apache.uima.InternationalizedException
`getArguments, getCause, getLocalizedMessage, getLocalizedMessage, getMessage, getMessageKey, getResourceBundleName, hasMessageKey, initCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getStackTrace, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CPMChunkTimeoutException

    public CPMChunkTimeoutException(long aDocumentId,
                                    String aThrottleID,
                                    String aDocumentURL)

Method Detail

### getDocumentURL

    public String getDocumentURL()

### getDocID

    public long getDocID()

  Returns:

### getThrottleID

    public String getThrottleID()

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 The Apache Software Foundation. All Rights Reserved.